OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_TranslateVertex Class Reference

`#include <StepToTopoDS_TranslateVertex.hxx>`

Inheritance diagram for StepToTopoDS_TranslateVertex:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_TranslateVertex ()
Standard_EXPORT | StepToTopoDS_TranslateVertex (const Handle(StepShape_Vertex)&V, StepToTopoDS_Tool &T)
Standard_EXPORT void | Init (const Handle(StepShape_Vertex)&V, StepToTopoDS_Tool &T)
Standard_EXPORT const TopoDS_Shape & | Value () const
Standard_EXPORT StepToTopoDS_TranslateVertexError | Error () const
## Private Attributes
StepToTopoDS_TranslateVertexError | myError
TopoDS_Shape | myResult

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_TranslateVertex::StepToTopoDS_TranslateVertex | ( |  | ) |

Standard_EXPORT StepToTopoDS_TranslateVertex::StepToTopoDS_TranslateVertex | ( | const Handle(StepShape_Vertex)& | V,
|  | StepToTopoDS_Tool & | T
| ) |

## Member Function Documentation

Standard_EXPORT StepToTopoDS_TranslateVertexError StepToTopoDS_TranslateVertex::Error | ( |  | ) | const

Standard_EXPORT void StepToTopoDS_TranslateVertex::Init | ( | const Handle(StepShape_Vertex)& | V,
|  | StepToTopoDS_Tool & | T
| ) |

void StepToTopoDS_TranslateVertex::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslateVertex::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_TranslateVertex::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

Standard_EXPORT const TopoDS_Shape& StepToTopoDS_TranslateVertex::Value | ( |  | ) | const

## Field Documentation

StepToTopoDS_TranslateVertexError StepToTopoDS_TranslateVertex::myError`[private]`

TopoDS_Shape StepToTopoDS_TranslateVertex::myResult`[private]`

The documentation for this class was generated from the following file:

- StepToTopoDS_TranslateVertex.hxx